> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tracecat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Sync Diff

> Load one selected file diff on demand.



## OpenAPI

````yaml https://platform.tracecat.com/api/openapi.json get /workspaces/{workspace_id}/workflows/sync/operations/{operation_id}/diffs/{index}
openapi: 3.1.0
info:
  title: Tracecat API
  summary: Tracecat API
  description: The open source AI automation platform for security teams and agents.
  termsOfService: >-
    https://docs.google.com/document/d/e/2PACX-1vQvDe3SoVAPoQc51MgfGCP71IqFYX_rMVEde8zC4qmBCec5f8PLKQRdxa6tsUABT8gWAR9J-EVs2CrQ/pub
  contact:
    name: Tracecat Founders
    email: founders@tracecat.com
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1'
servers:
  - url: /api
security: []
tags:
  - name: public
    description: Public facing endpoints
  - name: workflows
    description: Workflow management
  - name: actions
    description: Action management
  - name: triggers
    description: Workflow triggers
  - name: secrets
    description: Secret management
  - name: variables
    description: Workspace variable management
paths:
  /workspaces/{workspace_id}/workflows/sync/operations/{operation_id}/diffs/{index}:
    get:
      tags:
        - workflows
      summary: Get Sync Diff
      description: Load one selected file diff on demand.
      operationId: workflows-get_sync_diff
      parameters:
        - name: operation_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Operation Id
        - name: index
          in: path
          required: true
          schema:
            type: integer
            minimum: 0
            title: Index
        - name: workspace_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Workspace Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PullResourceDiff'
        '403':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/ScopeDeniedResponse'
                  - $ref: '#/components/schemas/SyncOperationError'
                title: Response 403 Workflows-Get Sync Diff
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SyncOperationError'
          description: Not Found
        '410':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SyncOperationError'
          description: Gone
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyCookie: []
        - ServiceAccountApiKeyBearer: []
components:
  schemas:
    PullResourceDiff:
      properties:
        resource_type:
          type: string
          title: Resource Type
        source_id:
          type: string
          title: Source Id
        source_path:
          type: string
          title: Source Path
        change_type:
          type: string
          enum:
            - added
            - modified
            - deleted
          title: Change Type
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
        diff:
          type: string
          title: Diff
        truncated:
          type: boolean
          title: Truncated
          default: false
      type: object
      required:
        - resource_type
        - source_id
        - source_path
        - change_type
        - title
        - diff
      title: PullResourceDiff
    ScopeDeniedResponse:
      properties:
        error:
          $ref: '#/components/schemas/ScopeDeniedErrorDetail'
      type: object
      required:
        - error
      title: ScopeDeniedResponse
      description: HTTP 403 response emitted by the scope-denial exception handler.
    SyncOperationError:
      properties:
        detail:
          type: string
          title: Detail
      type: object
      required:
        - detail
      title: SyncOperationError
      description: Expected operation conflict and diff lookup failures.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ScopeDeniedErrorDetail:
      properties:
        code:
          type: string
          const: insufficient_scope
          title: Code
        message:
          type: string
          title: Message
        required_scopes:
          items:
            type: string
          type: array
          title: Required Scopes
        missing_scopes:
          items:
            type: string
          type: array
          title: Missing Scopes
      type: object
      required:
        - code
        - message
        - required_scopes
        - missing_scopes
      title: ScopeDeniedErrorDetail
      description: Structured explanation of an authorization scope denial.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyCookie:
      type: apiKey
      in: cookie
      name: fastapiusersauth
    ServiceAccountApiKeyBearer:
      type: http
      description: Tracecat service account API key.
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.